Bug 41682 - AD Connector: Remove dependency on univention-server-[master|backup]
AD Connector: Remove dependency on univention-server-[master|backup]
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: AD Connector
UCS 4.1
Other Linux
: P5 enhancement (vote)
: UCS 4.1-3-errata
Assigned To: Stefan Gohmann
Felix Botner
:
Depends on:
Blocks: 42489
  Show dependency treegraph
 
Reported: 2016-06-28 13:13 CEST by Michael Grandjean
Modified: 2016-09-23 14:59 CEST (History)
1 user (show)

See Also:
What kind of report is it?: Feature Request
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional): External feedback, Forked for project
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Grandjean univentionstaff 2016-06-28 13:13:45 CEST
Both python-univention-connector and univention-ad-connector-exchange depend on univention-server-master | univention-server-backup. At least for write-only-scenarios (UCS syncs in write-mode into MS AD), this is not needed and prevents certain scenarios, e.g. installing AD Connector on a UCS@school slave. Instead of cn=admin, the machine account of the Slave can be used to run the AD Connector:

> ucr set connector/ldap/binddn="$(ucr get ldap/hostdn)" \
>         connector/ldap/bindpwd='/etc/machine.secret'

Removing the package dependency on univention-server-master | univention-server-backup would make more scenarios possible without the requirement to fork univention-ad-connector. Since these are special scenarios and not fitted for everyone, we might want to limit the possible server roles via App Center methods instead of debian package dependencies?
Comment 1 Stefan Gohmann univentionstaff 2016-09-12 07:49:35 CEST
The dependency has been removed:
 4.1-3-errata: r72471
 4.2: r72472
 YAML: r72473
Comment 2 Felix Botner univentionstaff 2016-09-12 13:24:57 CEST
OK - merged to 4.2-0
OK - dependencies removed
OK - YAML
Comment 3 Janek Walkenhorst univentionstaff 2016-09-14 15:38:59 CEST
<http://errata.software-univention.de/ucs/4.1/267.html>